<?php 
//activamos almacenamiento en el buffer
ob_start();
if (strlen(session_id())<1) 
  session_start();

if (!isset($_SESSION['nombre'])) {
  echo "debe ingresar al sistema correctamente para vosualizar el reporte";
}else{

if ($_SESSION['almacen']==1) {

//incluimos a la clase PDF_MC_Table
require('PDF_MC_Table.php');

//instanciamos la clase para generar el documento pdf
$pdf=new PDF_MC_Table();

//agregamos la primera pagina al documento pdf
//$pdf->AddPage('portrait', 'letter');
$pdf->AddPage('landscape', 'letter');

//seteamos el inicio del margen superior en 25 pixeles
$y_axis_initial=25;

//seteamos el tipo de letra y creamos el titulo de la pagina (Tomando los Valos de Fecha). No se repetira como encabezado
$fi		=$_GET["fi"];
$ff		=$_GET["ff"];
$fecha	=explode("-", $fi);
$mes	=$fecha[1];
$dia	=$fecha[2];
$ano	=$fecha[0];
switch ($mes) {
    case '01':
        $mess='ENERO';
    break;
    case '02':
        $mess='FEBRERO';
    break;
    case '03':
        $mess='MARZO';
    break;
	case '04':
        $mess='ABRIL';
    break;
    case '05':
        $mess='MAYO';
    break;
    case '06':
        $mess='JUNIO';
    break;
	case '07':
        $mess='JULIO';
    break;
    case '08':
        $mess='AGOSTO';
    break;
    case '09':
        $mess='SEPTIEMBRE';
    break;
	case '10':
        $mess='OCTUBRE';
    break;
    case '11':
        $mess='NOVIEMBRE';
    break;
    case '12':
        $mess='DICIEMBRE';
    break;
}

switch ($dia) {
    case '01':
        $diaa='LUNES';
    break;
    case '02':
        $diaa='MARTES';
    break;
    case '03':
        $diaa='MIÉRCOLES';
    break;
	case '04':
        $diaa='JUEVES';
    break;
    case '05':
        $diaa='VIERNES';
    break;
    case '06':
        $diaa='SÁBADO';
    break;
	case '07':
        $diaa='DOMINGO';
    break;
}

$pdf->SetFont('Arial','B',12);
$pdf->Cell(50,6,'',0,0,'C');
$pdf->Cell(160,6,utf8_decode('CUPOS PARA SESIONES DEL DIA: '.$diaa.', '.$dia.' DE '.$mess.' DE '.$ano),1,0,'C');
$pdf->Ln(10);

//creamos las celdas para los titulos de cada columna y le asignamos un fondo gris y el tipo de letra
$pdf->SetFillColor(232,232,232);
$pdf->SetFont('Arial','B',10);
$pdf->Cell(25,6,utf8_decode('Horario'),1,0,'C',1);
$pdf->Cell(65,6,utf8_decode('Paciente'),1,0,'C',1);
$pdf->Cell(10,6,utf8_decode('Gim'),1,0,'C',1);
$pdf->Cell(10,6,utf8_decode('Cub'),1,0,'C',1);
$pdf->Cell(10,6,utf8_decode('Cam'),1,0,'C',1);
$pdf->Cell(96,6,utf8_decode('Diagnóstico'),1,0,'C',1);
$pdf->Cell(40,6,utf8_decode('Observación'),1,0,'C',1);
$pdf->Ln(10);

//creamos las filas de los registros según la consulta mysql
require_once "../modelos/Consultas.php";
$consulta 	= new Consultas();
$rspta 		= $consulta->citasporfechaypacienter($fi,$ff);

//implementamos las celdas de la tabla con los registros a mostrar
$pdf->SetWidths(array(25,65,10,10,10,96,40));
$horarioi	='';
while ($reg= $rspta->fetch_object()) {
	$horario	=$reg->horario;
	$paciente	=$reg->paciente;
	$idcama		=$reg->idcama;
	$idcubiculo	=$reg->idcubiculo;
	$idchiperb	=$reg->idcamarahiperbarica;
	$diagnostico=$reg->diagnostico;
	$observacion='';

	if ($horarioi!=$horario){
		$horarioi	=$horario;
		$horarioii	=$horario;
	}else{
		$horarioii	='';
	}
	if ($idcama==0){
		$idcama		='';
	}
	if ($idcubiculo==0){
		$idcubiculo	='';
	}
	if ($idchiperb==0){
		$idchiperb	='';
	}

	$pdf->SetFont('Arial','',10);
	$pdf->Row(array(utf8_decode($horarioii),utf8_decode($paciente),$idcama,$idcubiculo,$idchiperb,utf8_decode($diagnostico),$observacion));
}

//mostramos el documento pdf
$pdf->Output();

}else{
echo "No tiene permiso para visualizar el reporte";
}

}

ob_end_flush();
  ?>